package com.winhc.repal.cloud;

import com.winhc.common.base.BeanResponse;
import com.winhc.repal.cloud.dto.WinCoinOrderFormDTO;
import com.winhc.repal.cloud.vo.WinCoinOrderFormVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;

/**
 * @author Aaron
 * @date 2022/5/10 14:16
 * @description
 */
//@FeignClient("win-coin")
@FeignClient(value = "win-coin",url = "106.14.81.247:5907")
public interface WinCoinService {

    /**
     * 创建订单
     * @param dto
     * @return
     */
    @PostMapping("/winCoins/order")
    BeanResponse<WinCoinOrderFormVO> createOrder(@RequestHeader("userInfo")String userInfo,
                                                 @RequestHeader("appVersion")String appVersion,
                                                 @RequestHeader("appPackage")String appPackage,
                                                 @RequestBody WinCoinOrderFormDTO dto);
}
