package com.winhc.repal.cloud.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 动态信息 实体对象
 * @author: Anakin
 * @date 2021.8.2 19:25
 */
@Data
@ApiModel(description = "关联实体")
public class AssociationEntityInfo {
    @ApiModelProperty("实体ID")
    private String keyno;
    @ApiModelProperty("实体名称")
    private String name;
    @ApiModelProperty(value = "风险等级", example = "利好(0),提示(1),警示(2),高风险(3)")
    private String riskLevel;
    @ApiModelProperty(value = "实体角色", example = "做为被告/被上诉人")
    private String rtaInfo;
    @ApiModelProperty("是否为当前查询的公司")
    private boolean hit = false;
}
