package com.winhc.repal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @description RepalRemindReadInfo实体对象
 * @author Generator
 * @date 2022-04-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("REPAL_REMIND_READ_INFO")
@ApiModel(value="RepalRemindReadInfo实体对象", description="动态阅读情况表")
public class RepalRemindReadInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "用户号")
    @TableField("USER_ID")
    private Long userId;

    @ApiModelProperty(value = "风险预警最近已读id")
    @TableField("RISK_REMIND_ID")
    private Long riskRemindId;

    @ApiModelProperty(value = "财产提醒最近已读id")
    @TableField("FINANCE_REMIND_ID")
    private Long financeRemindId;

    @ApiModelProperty(value = "评级变更最近已读id")
    @TableField("RANK_REMIND_ID")
    private Long rankRemindId;

    @ApiModelProperty(value = "逾期动态最近已读id")
    @TableField("OVERDUE_REMIND_ID")
    private Long overdueRemindId;

    @ApiModelProperty(value = "账款id")
    @TableField("REPAL_BILL_ID")
    private Long repalBillId;

    @ApiModelProperty(value = "账本id")
    @TableField("REPAL_BOOK_ID")
    private Long repalBookId;
}
