package com.winhc.repal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @description UserInfo实体对象
 * @author Generator
 * @date 2022-04-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("USER_INFO")
@ApiModel(value="UserInfo实体对象", description="")
public class UserInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "USER_ID", type = IdType.AUTO)
    private Long userId;

    @TableField("LOGIN_ID")
    private String loginId;

    @TableField("MOBILE_NO")
    private String mobileNo;

    @TableField("EMAIL")
    private String email;

    @TableField("LOGIN_PWD")
    private String loginPwd;

    @TableField("PAY_PWD")
    private String payPwd;

    @TableField("SSO_TYPE")
    private String ssoType;

    @TableField("SSO_TOKEN")
    private String ssoToken;

    @TableField("NICK_NAME")
    private String nickName;

    @TableField("AVATAR")
    private String avatar;

    @TableField("OPEN_DATE")
    private String openDate;

    @TableField("OPEN_TIME")
    private String openTime;

    @TableField("LOGIN_TIME")
    private String loginTime;

    @ApiModelProperty(value = "夜间登录时间")
    @TableField("NIGHT_LOGIN_TIME")
    private String nightLoginTime;

    @ApiModelProperty(value = "0：启用；1：冻结；2：手机号失效；3：未激活;4:已注销")
    @TableField("STATUS")
    private String status;

    @ApiModelProperty(value = "1：APP；2：微信；3：网站；4第三方；5后台管理；6微信小程序")
    @TableField("REG_CHANNEL")
    private String regChannel;

    @TableField("UNIONID")
    private String unionid;

    @TableField("OPENID_WINHC_MP")
    private String openidWinhcMp;

    @TableField("OPENID_APSARA_MP")
    private String openidApsaraMp;

    @ApiModelProperty(value = "赢律师openId")
    @TableField("OPENID_WINLS_MP")
    private String openidWinlsMp;

    @ApiModelProperty(value = "IOS（appstore），Android（vivo、xiaomi、meizu、qutoutiao、huawei、zhihu、yingyongbao、360、weibo、baidu、jinritoutiao、oppo）")
    @TableField("APP_CHANNEL")
    private String appChannel;

    @ApiModelProperty(value = "最后登录的应用名：1赢火虫;2赢律师")
    @TableField("LOGIN_PACKAGE")
    private Integer loginPackage;

    @ApiModelProperty(value = "最后登录的渠道：1安卓 2ios 3其他")
    @TableField("LOGIN_CHANNEL")
    private Integer loginChannel;

    @TableField("APP_PACKAGE")
    private String appPackage;

    @ApiModelProperty(value = "最后登录来源。1赢火虫。2赢律师。3小程序。4m站。5pc端。6云法务")
    @TableField("CLIENT_ORIGIN")
    private Integer clientOrigin;


}
