package com.winhc.repal.enums;

/**
 * @Description: RoleTypeEnum
 * @Author: xda
 * @Date: 2022/5/6 14:30
 */
public enum RoleTypeEnum {


    /**
     *  角色类型
     */
    SYSTEM(1, "系统角色"),
    CUSTOMER(2, "自定义角色");

    private final Integer code;

    private final String desc;

    RoleTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
