package com.winhc.repal.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * @Description: ReturnedMoneyVO
 * @Author: xda
 * @Date: 2022/5/9 16:11
 */
@Data
@ApiModel("回款统计")
public class ReturnedMoneyVO {

    @ApiModelProperty("金额，string")
    private String moneyStr;

    @ApiModelProperty("回款日期，string, yyyy-MM-dd")
    private LocalDate date;
}
