package com.winhc.repal.service;

import com.winhc.repal.entity.RepalDynamic;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.repal.model.dto.DynamicContentDTO;
import com.winhc.repal.model.dto.RepalLetterDTO;
import com.winhc.repal.model.dto.RepalSmsDTO;
import com.winhc.repal.model.vo.RepalSmsTemplateVO;

import java.util.List;


/**
 * @description RepalDynamic 接口类
 * @author Generator
 * @date 2022-05-06
 */
public interface RepalDynamicService extends IService<RepalDynamic> {
    /**
     * 添加催款动态
     * @param dto
     * @return
     */
    Boolean addDynamic(DynamicContentDTO dto);

    /**
     * 获取催款短信模板
     * @return
     */
    List<RepalSmsTemplateVO> getSmsTemplate(Long repalBillId);

    /**
     * 发送催款短信
     * @param dto
     * @return
     */
    Boolean urgeBySms(RepalSmsDTO dto);

    /**
     * 发送律师函
     * @param dto
     * @return
     */
    Boolean urgeByLawyerLetter(RepalLetterDTO dto);
}
