package com.winhc.repal.repository;

import com.winhc.repal.entity.RepalChangeRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @description RepalChangeRecord Mapper 接口
 * @author Generator
 * @date 2022-04-08
 */
@Repository
public interface RepalChangeRecordMapper extends BaseMapper<RepalChangeRecord> {


    /**
     * 获取首页金额变动记录
     * @param userId userId
     * @param repalBookId repalBookId
     * @param start start
     * @param end end
     * @return java.util.List<com.winhc.repal.entity.RepalChangeRecord>
     * @author xda
     * @date 2022/5/9 16:31
     */
    List<RepalChangeRecord> getHomeRecord(@Param("userId") Long userId,
                                          @Param("repalBookId") Long repalBookId,
                                          @Param("start") LocalDate start,
                                          @Param("end") LocalDate end);

}
