package com.winhc.repal.service;

import com.winhc.repal.entity.RepalRemindDefinition;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalRemindDefinitionDTO;
import com.winhc.repal.model.vo.RepalRemindDefinitionVO;
import java.util.List;


/**
 * @description RepalRemindDefinition 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalRemindDefinitionService extends IService<RepalRemindDefinition> {

    /**
    * add RepalRemindDefinition
    * @param dto data transfer object
    */
    void add(RepalRemindDefinitionDTO dto);

    /**
    * update RepalRemindDefinition
    * @param id key
    * @param dto data transfer object
    */
    void update(Long id, RepalRemindDefinitionDTO dto);

    /**
    * delete RepalRemindDefinition
    * @param id key
    */
    void delete(Long id);

    /**
    * find RepalRemindDefinition
    * @param id key
    * @return RepalRemindDefinition
    */
    RepalRemindDefinitionVO find(Long id);

    /**
    * find RepalRemindDefinition list
    * @param dto data transfer object
    * @return list of RepalRemindDefinition
    */
    List<RepalRemindDefinitionVO> find(RepalRemindDefinitionDTO dto);

     /**
     * find RepalRemindDefinition page
     * @param dto data transfer object
     * @param pageNum page number
     * @param pageSize page size
     * @return page of RepalRemindDefinition
     */
     VOPage<RepalRemindDefinitionVO> find(RepalRemindDefinitionDTO dto, Integer pageNum, Integer pageSize);
}
